org.mariadb.jdbc

## Class HostAddress

- java.lang.Object
- - org.mariadb.jdbc.HostAddress

    public class HostAddress
    extends Object

### Field Summary

Fields
`String` `host`
`int` `port`

### Constructor Summary

Constructors
Constructor and Description
`HostAddress()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HostAddress[]` `parse(String spec)` parse - parse server addresses from the URL fragment
`static String` `toString(HostAddress[] addrs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### host

    public String host

#### port

    public int port

### Constructor Detail

#### HostAddress

    public HostAddress()

### Method Detail

#### parse

    public static HostAddress[] parse(String spec)

parse - parse server addresses from the URL fragment

Parameters:
  `spec` - - list of endpoints in one of the forms 1 - host1,....,hostN:port (missing port default to MySQL default 3306 2 - host:port,...,host:port
Returns:
  parsed endpoints

#### toString

    public static String toString(HostAddress[] addrs)